QGIS 2.18.2 (KyngChaos build) crashes after latest Mac OS X update to 10.12.4

2017-03-29 02:05 PM - Gareth Simons

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:2.18.2 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 24300

Description

QGIS 2.18.2 (KyngChaos build) crashes after latest Mac OS X update to 10.12.4

The crash happens whenever trying to launch QGIS.

QGIS was reinstalled but the crashes persist.

System crash log attached.

History

#1 - 2017-04-06 05:15 AM - Giovanni Manghi

- Category set to Build/Install

- Priority changed from Normal to Severe/Regression

- Target version set to Version 2.18

#2 - 2017-04-06 05:15 AM - Giovanni Manghi

This has been seen by many, me included.

#3 - 2017-04-06 02:01 PM - Larry Shaffer

This has also affected the Boundless Desktop install, which includes QGIS 2.14 LTR.

Try this (may not be the root of issue for Kyngchaos QGIS 2.18):

    -  Quit QGIS, if running

    -  Rename PyQt4.phonon module...

  cd /Applications/QGIS.app/Contents/Resources/python/PyQt4

  sudo mv phonon.so phonon_off.so

  # or

  sudo mv phonon.so ~/Desktop/

  

    -  Launch QGIS

Apparently phonon.so (it's .framework actually), built on an earlier macOS, is totally borked when loaded on macOS 10.12.4.
#4 - 2017-04-11 01:17 AM - Gareth Simons

Larry Shaffer wrote:

This has also affected the Boundless Desktop install, which includes QGIS 2.14 LTR.

Try this (may not be the root of issue for Kyngchaos QGIS 2.18):

    -  Quit QGIS, if running

    -  Rename PyQt4.phonon module...

[...]

    -  Launch QGIS

Apparently phonon.so (it's .framework actually), built on an earlier macOS, is totally borked when loaded on macOS 10.12.4.

Tried this for my situation -> unfortunately didn't solve...

#5 - 2017-04-11 03:29 PM - Larry Shaffer

Hi Gareth. Thanks for testing that out.

I was not able to replicate the error you are seeing with a clean macOS 10.12.4 VM and the latest install from Kyngchaos.com.

#6 - 2017-04-12 12:22 AM - Gareth Simons

Hi Larry,

I tried reinstalling a few times but don't seem to have any luck. Is there a way to forcibly remove some or another underlying components that may be

causing the issues?

Thanks.

#7 - 2017-04-12 02:31 AM - Andreas Oxenstierna

I got similar problems after updating to 10.12.4

QGIS 2.16 and 2.18 cannot open any project with vector layers. Vector layers can only be added if at least one raster layer is added. Raster layer projects

can be opened.

QGIS 2.14 can open projects with vector layers. If trying to open the vector layer property UI, QGIS hangs and silently crashes after approx a few minutes,

consumes a lot of system resources when hanging.

Crash logs are created - I cannot see anything obvious in them (not a true developer, though).

Vector labelling UI can be opened and used, as well as raster layer property UI.

I tried the phonon.so workaround, no change in behaviour.

Other tested tools do work, like creating polygons from closed lines.

#8 - 2017-04-19 07:22 AM - Ashley Clough

I had the same issue on several Mac installations. In the end I did a clean install and manually removed all the plugins except MetaSearch and mmqgis from

'Users/.../.qgis2/python/plugins' to get everything working again.
#9 - 2017-04-25 02:33 AM - Gareth Simons

I ended up uninstalling and reinstalling via brew:

brew cask install qgis

This did the trick for me however I noticed today that it broke again, and it seems as if it may have been linked to an Xcode update to version 8.3.2

I tried uninstalling and reinstalling via brew cask and that in and of itself did not fix it, however, what did fix it was manually linking to the correct matplotlib

per the brew cask installation instructions:

"qgis requires matplotlib in a specific location. Please run the following to finish install:"

sudo ln -s /System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python /Library/Python/2.7/site-packages/matplotlib-override

#10 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#11 - 2017-04-30 05:09 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#12 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#13 - 2017-05-12 07:28 PM - Giovanni Manghi

- Status changed from Open to Closed

- Description updated

- Resolution set to up/downstream

Installing from brew 2.18.7 (qgis2) and all works as expected here on 10.12.4

https://github.com/OSGeo/homebrew-osgeo4mac

issue seems really related to the packaging. Please let the packager know about it.

Files

qgis_crash_log.txt 72.5 KB 2017-03-29 Gareth Simons
